commit 48b72f3c96b8caf9c2222b2d90d288596d161af9
Author: freddy77 <freddy77>
Date:   Fri Oct 31 14:00:11 2008 +0000

    minor tests issues

diff --git a/ChangeLog b/ChangeLog
index 49bc2f5..2df6022 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Fri Oct 31 14:59:36 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/utf8.c src/odbc/unittests/utf8_2.c:
+	- fix test for MSSQL
+	* src/odbc/unittests/common.c src/odbc/unittests/cursor1.c:
+	- reuse code
+
 Wed Oct 29 10:54:30 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/putdata.c: improve test for wide charaters
 
@@ -802,4 +808,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2644 2008/10/29 09:56:53 freddy77 Exp $
+$Id: ChangeLog,v 1.2645 2008/10/31 14:00:11 freddy77 Exp $
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index f9ae4bf..00f2af3 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -12,7 +12,7 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.47 2008/10/29 09:33:50 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.48 2008/10/31 14:00:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -185,19 +185,12 @@ Connect(void)
 	if (read_login_info())
 		exit(1);
 
-	if (SQLAllocEnv(&Environment) != SQL_SUCCESS) {
-		printf("Unable to allocate env\n");
-		exit(1);
-	}
+	CHK(SQLAllocEnv, (&Environment));
 
 	if (use_odbc_version3)
 		SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
 
-	if (SQLAllocConnect(Environment, &Connection) != SQL_SUCCESS) {
-		printf("Unable to allocate connection\n");
-		SQLFreeEnv(Environment);
-		exit(1);
-	}
+	CHK(SQLAllocConnect, (Environment, &Connection));
 	printf("odbctest\n--------\n\n");
 	printf("connection parameters:\nserver:   '%s'\nuser:     '%s'\npassword: '%s'\ndatabase: '%s'\n",
 	       SERVER, USER, "????" /* PASSWORD */ , DATABASE);
@@ -211,10 +204,7 @@ Connect(void)
 		CheckReturn();
 	}
 
-	if (SQLAllocStmt(Connection, &Statement) != SQL_SUCCESS) {
-		printf("Unable to allocate statement\n");
-		CheckReturn();
-	}
+	CHK(SQLAllocStmt, (Connection, &Statement));
 
 	sprintf(command, "use %s", DATABASE);
 	printf("%s\n", command);
@@ -379,8 +369,7 @@ ResetStatement(void)
 {
 	SQLFreeStmt(Statement, SQL_DROP);
 	Statement = SQL_NULL_HSTMT;
-	if (SQLAllocStmt(Connection, &Statement) != SQL_SUCCESS)
-		ODBC_REPORT_ERROR("Unable to allocate statement");
+	CHK(SQLAllocStmt, (Connection, &Statement));
 }
 
 void
@@ -393,9 +382,7 @@ CheckCursor(void)
 		char output[256];
 		unsigned char sqlstate[6];
 
-		retcode = SQLGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) output, sizeof(output), NULL);
-		if (retcode != SQL_SUCCESS)
-			ODBC_REPORT_ERROR("SQLGetDiagRec");
+		CHK(SQLGetDiagRec, (SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) output, sizeof(output), NULL));
 		sqlstate[5] = 0;
 		if (strcmp((const char*) sqlstate, "01S02") == 0) {
 			printf("Your connection seems to not support cursors, probably you are using wrong protocol version or Sybase\n");
diff --git a/src/odbc/unittests/cursor1.c b/src/odbc/unittests/cursor1.c
index 39dc6dd..59d8ecd 100644
--- a/src/odbc/unittests/cursor1.c
+++ b/src/odbc/unittests/cursor1.c
@@ -2,7 +2,7 @@
 
 /* Test cursors */
 
-static char software_version[] = "$Id: cursor1.c,v 1.14 2008/10/29 09:33:50 freddy77 Exp $";
+static char software_version[] = "$Id: cursor1.c,v 1.15 2008/10/31 14:00:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHK_INFO(func,params) \
@@ -68,20 +68,7 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 
 	/* set cursor options */
 	ResetStatement();
-	retcode = SQLSetStmtAttr(Statement, SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_ROWVER, 0);
-	if (retcode != SQL_SUCCESS) {
-		char output[256];
-		unsigned char sqlstate[6];
-
-		CHK(SQLGetDiagRec, (SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) output, sizeof(output), NULL));
-		sqlstate[5] = 0;
-		if (strcmp((const char*) sqlstate, "01S02") == 0) {
-			printf("Your connection seems to not support cursors, probably you are using wrong protocol version or Sybase\n");
-			Disconnect();
-			exit(0);
-		}
-		ODBC_REPORT_ERROR("SQLSetStmtAttr");
-	}
+	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CONCURRENCY, (SQLPOINTER) SQL_CONCUR_ROWVER, 0));
 	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0));
 	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_ROW_ARRAY_SIZE, (SQLPOINTER) ROWS, 0));
 	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_ROW_STATUS_PTR, (SQLPOINTER) statuses, 0));
@@ -196,6 +183,7 @@ int
 main(int argc, char *argv[])
 {
 	Connect();
+	CheckCursor();
 
 	if (db_is_microsoft() && db_version_int() >= 0x09000000u)
 		mssql2005 = 1;
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index 8b9a0f1..2eb02b7 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.5 2008/10/29 09:33:50 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.6 2008/10/31 14:00:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -141,7 +141,7 @@ main(int argc, char *argv[])
 		return 0;
 	}
 
-	if (!db_is_microsoft() || db_version_int() >= 0x08000000u) {
+	if (!db_is_microsoft() || db_version_int() < 0x08000000u) {
 		Disconnect();
 		printf("Test for MSSQL only\n");
 		return 0;
diff --git a/src/odbc/unittests/utf8_2.c b/src/odbc/unittests/utf8_2.c
index a275d07..1c7071e 100755
--- a/src/odbc/unittests/utf8_2.c
+++ b/src/odbc/unittests/utf8_2.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test conversion of Hebrew characters (which have shift sequences) */
-static char software_version[] = "$Id: utf8_2.c,v 1.3 2008/10/29 09:33:50 freddy77 Exp $";
+static char software_version[] = "$Id: utf8_2.c,v 1.4 2008/10/31 14:00:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -67,7 +67,7 @@ main(int argc, char *argv[])
 		return 0;
 	}
 
-	if (!db_is_microsoft() || db_version_int() >= 0x08000000u) {
+	if (!db_is_microsoft() || db_version_int() < 0x08000000u) {
 		Disconnect();
 		printf("Test for MSSQL only\n");
 		return 0;

